Description

After using the installer to install 1.1rc5 the foreman-proxy only responds with "connection reset by peer".

A workaround is to comment out the following three lines in the config:

#:ssl_ca_file: /var/lib/puppet/ssl/certs/ca.pem

#:ssl_certificate: /var/lib/puppet/ssl/certs/foreman11.local.pem

#:ssl_private_key: /var/lib/puppet/ssl/private_keys/foreman11.local.pem

After that the proxy starts to work.

History

#1 - 02/05/2013 04:19 AM - Dominic Cleal

Where are you getting the error, from the Foreman UI when adding it?

Make sure you use an HTTPS URL (https://....), since with those three config options enabled, it will listen for SSL connections on port 8443.  When

commented, it expects HTTP on 8443.

#2 - 02/05/2013 04:19 AM - Dominic Cleal

- Status changed from New to Feedback

#3 - 02/21/2013 05:00 AM - Dominic Cleal

- Status changed from Feedback to Closed
